import com.github.itzilly.sbt.mixin.RenderManagerAccessor
import org.spongepowered.asm.mixin.Mixin
import org.spongepowered.asm.mixin.gen.Accessor
import net.minecraft.client.renderer.entity.RenderManager

@Mixin(RenderManager::class)
abstract class RenderManagerMixin : RenderManagerAccessor {
    @get:Accessor("renderPosX")
    override var renderPosX: Double
        get() = throw IllegalStateException("Accessor mixin failed")
        set(value) = throw IllegalStateException("Accessor mixin failed")

    @get:Accessor("renderPosY")
    override var renderPosY: Double
        get() = throw IllegalStateException("Accessor mixin failed")
        set(value) = throw IllegalStateException("Accessor mixin failed")

    @get:Accessor("renderPosZ")
    override var renderPosZ: Double
        get() = throw IllegalStateException("Accessor mixin failed")
        set(value) = throw IllegalStateException("Accessor mixin failed")
}
